import request from '@/utils/gw_ajax_request.js';

//救灾资金项目基础信息对接
export function getPageList(data) {
  return request({
    url: '/att/gnrl/base/getPageList',
    method: 'POST',
    data,
  });
}

//问题处置汇总-问题比对
export function getPblmTab_3(data) {
  return request({
    url: '/dc/insp/pblm/page/getRelationPblms',
    method: 'POST',
    data,
  });
}

//市级综合督查-数据关联
export function getSjdc_4(data) {
  return request({
    url: '/dc/insp/obj/getObjListByGroupIdAndType',
    method: 'GET',
    params: data,
  });
}

//超期整改记录
export function getCqzgjlList(data) {
  return request({
    url: '/bis/insp/zg/pblm/getPblmRecord',
    method: 'post',
    data: data,
  });
}

//超期整改次数统计
export function getCqzgjSumlList(data) {
  return request({
    url: '/bis/insp/zg/pblm/getPblmRecordCount',
    method: 'post',
    data: data,
  });
}

//超期整改申诉
export function getCqzgssList(data) {
  return request({
    url: '/bis/insp/zg/pblm/getRepresentations',
    method: 'post',
    data: data,
  });
}

//超期整改申诉记录
export function getCqzgssRList(data) {
  return request({
    url: '/bis/insp/zg/pblm/getPblmRecordList',
    method: 'post',
    data: data,
  });
}

//自动关闭超期申诉通道
export function getAutomaticClose(data) {
  return request({
    url: '/bis/insp/zg/pblm/getAutomaticClose',
    method: 'post',
    data: data,
  });
}

//手动开启
export function getHandOpen(data) {
  return request({
    url: '/bis/insp/zg/pblm/getHandOpen',
    method: 'post',
    data: data,
  });
}

//手动关闭
export function getHandClose(data) {
  return request({
    url: '/bis/insp/zg/pblm/getHandClose',
    method: 'post',
    data: data,
  });
}

//超期整改记录调整
export function getPblmRecordAdjust(data) {
  return request({
    url: '/bis/insp/zg/pblm/getPblmRecordAdjust',
    method: 'post',
    data: data,
  });
}

//问题超期次数调整
export function getCountAdjust(data) {
  return request({
    url: '/bis/insp/zg/pblm/getCountAdjust',
    method: 'post',
    data: data,
  });
}

//问题是否按期整改判定
export function getIfTureTm(data) {
  return request({
    url: '/bis/insp/zg/pblm/getIfTureTm',
    method: 'post',
    data: data,
  });
}

//待办消息
export function getMsgSendList(data) {
  return request({
    url: '/bis/insp/BisInspFlowToDo/getFindlist',
    method: 'post',
    data: data,
  });
}

//待办消息展示
export function getMsgShowList(data) {
  return request({
    url: '/bis/insp/BisInspFlowToDoUser/getFindlist',
    method: 'post',
    data: data,
  });
}
